Package org.bukkit.inventory

# Enum Class CreativeCategory

java.lang.Object
java.lang.Enum<CreativeCategory>
org.bukkit.inventory.CreativeCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<CreativeCategory>`, `Constable`, `Translatable`

public enum CreativeCategory extends Enum<CreativeCategory> implements Translatable
Represents a category in the creative inventory.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BREWING`
All items related to brewing and potions including all types of potions, their variants, and ingredients to brew them.
`BUILDING_BLOCKS`
An assortment of building blocks including dirt, bricks, planks, ores slabs, etc.
`COMBAT`
Equipment items meant for combat including armor, swords, bows, tipped arrows, and useful enchantment books for said equipment.
`DECORATIONS`
Blocks and items typically used for decorative purposes including candles, saplings, flora, fauna, fences, walls, carpets, etc.
`FOOD`
Food items consumable by the player including meats, berries, edible drops from creatures, etc.
`MISC`
Miscellaneous items and blocks that do not fit into other categories including gems, dyes, spawn eggs, discs, banner patterns, etc.
`REDSTONE`
Blocks used and associated with redstone contraptions including buttons, levers, pressure plates, redstone components, pistons, etc.
`TOOLS`
Equipment items meant for general utility including pickaxes, axes, hoes, flint and steel, and useful enchantment books for said tools.
`TRANSPORTATION`
Items pertaining to transportation including minecarts, rails, boats, elytra, etc.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`translationKey()`
Gets the translation key.
`static CreativeCategory`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CreativeCategory[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BUILDING_BLOCKS

public static final CreativeCategory BUILDING_BLOCKS
An assortment of building blocks including dirt, bricks, planks, ores slabs, etc.

### DECORATIONS

public static final CreativeCategory DECORATIONS
Blocks and items typically used for decorative purposes including candles, saplings, flora, fauna, fences, walls, carpets, etc.

### REDSTONE

public static final CreativeCategory REDSTONE
Blocks used and associated with redstone contraptions including buttons, levers, pressure plates, redstone components, pistons, etc.

### TRANSPORTATION

public static final CreativeCategory TRANSPORTATION
Items pertaining to transportation including minecarts, rails, boats, elytra, etc.

### MISC

public static final CreativeCategory MISC
Miscellaneous items and blocks that do not fit into other categories including gems, dyes, spawn eggs, discs, banner patterns, etc.

### FOOD

public static final CreativeCategory FOOD
Food items consumable by the player including meats, berries, edible drops from creatures, etc.

### TOOLS

public static final CreativeCategory TOOLS
Equipment items meant for general utility including pickaxes, axes, hoes, flint and steel, and useful enchantment books for said tools.

### COMBAT

public static final CreativeCategory COMBAT
Equipment items meant for combat including armor, swords, bows, tipped arrows, and useful enchantment books for said equipment.

### BREWING

public static final CreativeCategory BREWING
All items related to brewing and potions including all types of potions, their variants, and ingredients to brew them.

## Method Details

### values

public static CreativeCategory[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CreativeCategory valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### translationKey

@NotNull public @NotNull String translationKey()
Description copied from interface: `net.kyori.adventure.translation.Translatable`
Gets the translation key.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the translation key